xcb_selinux_set_device_context(3)

NAME
xcb_selinux_set_device_context -

SYNOPSIS
#include <xcb/xselinux.h>

  Request function

xcb_void_cookie_t xcb_selinux_set_device_context(xcb_connection_t *conn, uint32_t device, uint32_t context_len, const char *context);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

device
    TODO: NOT YET DOCUMENTED.

context_len
    TODO: NOT YET DOCUMENTED.

context
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_selinux_set_device_context_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xselinux.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.